/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.vorblatt-table-holder {
  padding: 24px;
  margin-bottom: 60px;
  background: #fff;
  overflow: hidden;
  font-size: 1.6rem;
  h3,
  h4 {
    font-size: 1.8rem;
    margin: 0 0 24px !important;
  }
  h4 {
    font-size: 1.6rem;
  }
  .vorblatt-summe-row {
    font-weight: 500;
  }
  .vorblatt-underlined {
    td {
      border-bottom: 2px solid black;
    }
  }
  .ant-table-content {
    overflow: auto;
    .bezeichnung-column {
      width: 400px;
    }
    .summary-column {
      width: 200px;
      text-align: center;
    }
    .ant-table-thead {
      th {
        background-color: @platform-blue4;
        border-bottom: 1px solid @platform-blue3;
        vertical-align: top;
        font-size: 1.6rem;
        &.summary-column {
          text-align: center;
        }
      }
      .empty-column {
        background-color: @platform-blue4 !important;
        border-bottom: 1px solid @platform-blue3;
      }
    }
    .ant-table-tbody {
      td {
        font-size: 1.6rem;
      }
    }
    .ant-table-tbody > tr.ant-table-row:hover > td {
      background-color: @platform-blue4;
    }
  }
}
